Subject: ImmAckRequired

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 19 Feb 2001 16:45:02 -0500

Does anyone remember the function of the ImmAckRequired flag?
In D.1.4 it says:
   response.  Upon receipt of a final response following receipt of 
   provisional responses, an immediate confirmation shall be sent, and 
   normal repetition timers shall be used thereafter.  An entity that 
   sends a provisional response, SHALL include the immAckRequired field 
   in the ensuing final response, indicating that an immediate 
   confirmation is expected.  Receipt of a Transaction Pending after 
   receipt of a reply shall be ignored. 

That is the only mention of the flag in the text other than the ASN.1
and ABNF.  I think this is a vestige of some old idea, and it is not
required.  It is NOT a way for an MG to indicate whether it does,
or does not want an ACK, ACKs are always required for final responses
when UDP is used.  Final response is easily distinguished (PEND
vs REPLY), so why do we need this flag?

Brian